Quantcast

Problems in Resources Plugin 1.2.9 ?

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Problems in Resources Plugin 1.2.9 ?

Sandro Martini
Hi all,
after updating some Grails webapps (from 2.2.5 to 2..4.3), some with many other things, and a new one (created by scratch with 2.4.3), if I use the resources plugin up to 1.2.8 all is good, but if I use the latest (just released) 1.2.9 I get a lot of errors, for example this:

jquery - 1.11.1 => default
resources - 1.2.8 => OK
resources - 1.2.9 => KO, see under

| Server running. Browse to http://localhost:8080/test-grails24
Browsing to home page, I get this in console:
Error |
2014-10-01 12:00:39,927 [localhost-startStop-1] ERROR resource.ResourceMeta  - Resource not found: /plugins/jquery-1.11.1/js/jquery/jquery-1.11.1.min.js
Error |
2014-10-01 12:00:39,952 [localhost-startStop-1] ERROR resource.ResourceMeta  - Resource not found: /plugins/jquery-1.11.1/js/jquery/jquery-1.11.1.js


I'm on Windows at 64 bit with JDK 7u67.

Someone already note this ?
If this is a real problem, where should I open an issue (issue for Resources plugin seems outdated) ?


Thanks a lot.

Bye,
Sandro

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/4c8ba894-3cba-45b7-884c-1d154d7bb4d4%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Problems in Resources Plugin 1.2.9 ?

Burt Beckwith-3
Not much is happening with the resources plugin - you should probably take this as the motivation to switch over to http://grails.org/plugin/asset-pipeline which is actively developed and issues are addressed quickly. As an added bonus, none of the maintainers of asset-pipeline have been arrested lately for walking around in an airport with an AR-15 (that I know of anyway).

Burt

On Wednesday, October 1, 2014 6:27:50 AM UTC-4, Sandro Martini wrote:
Hi all,
after updating some Grails webapps (from 2.2.5 to 2..4.3), some with many other things, and a new one (created by scratch with 2.4.3), if I use the resources plugin up to 1.2.8 all is good, but if I use the latest (just released) 1.2.9 I get a lot of errors, for example this:

jquery - 1.11.1 => default
resources - 1.2.8 => OK
resources - 1.2.9 => KO, see under

| Server running. Browse to <a href="http://localhost:8080/test-grails24" target="_blank" onmousedown="this.href='http://www.google.com/url?q\75http%3A%2F%2Flocalhost%3A8080%2Ftest-grails24\46sa\75D\46sntz\0751\46usg\75AFQjCNEfWmyJusoNq1Ev56XESYfQ7KU8LA';return true;" onclick="this.href='http://www.google.com/url?q\75http%3A%2F%2Flocalhost%3A8080%2Ftest-grails24\46sa\75D\46sntz\0751\46usg\75AFQjCNEfWmyJusoNq1Ev56XESYfQ7KU8LA';return true;">http://localhost:8080/test-grails24
Browsing to home page, I get this in console:
Error |
2014-10-01 12:00:39,927 [localhost-startStop-1] ERROR resource.ResourceMeta  - Resource not found: /plugins/jquery-1.11.1/js/jquery/jquery-1.11.1.min.js
Error |
2014-10-01 12:00:39,952 [localhost-startStop-1] ERROR resource.ResourceMeta  - Resource not found: /plugins/jquery-1.11.1/js/jquery/jquery-1.11.1.js


I'm on Windows at 64 bit with JDK 7u67.

Someone already note this ?
If this is a real problem, where should I open an issue (issue for Resources plugin seems outdated) ?


Thanks a lot.

Bye,
Sandro

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/5a79afb8-a652-4c2d-b90b-0c2ed52bdf84%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Problems in Resources Plugin 1.2.9 ?

Sandro Martini
Hi Burt,
 
Not much is happening with the resources plugin - you should probably take this as the motivation to switch over to <a href="http://grails.org/plugin/asset-pipeline" target="_blank" onmousedown="this.href='http://www.google.com/url?q\75http%3A%2F%2Fgrails.org%2Fplugin%2Fasset-pipeline\46sa\75D\46sntz\0751\46usg\75AFQjCNH-O_OBa1QtLUcL9Ja8oROsIwMU5g';return true;" onclick="this.href='http://www.google.com/url?q\75http%3A%2F%2Fgrails.org%2Fplugin%2Fasset-pipeline\46sa\75D\46sntz\0751\46usg\75AFQjCNH-O_OBa1QtLUcL9Ja8oROsIwMU5g';return true;">http://grails.org/plugin/asset-pipeline which is actively developed and issues are addressed quickly.
I have a plugin based on resources plugin, this is the main reason for this "legacy" usage ...
Since previous release I have seen many changes in resources plugin sources, maybe some of them broke (at least in Windows) something ...
 
As an added bonus, none of the maintainers of asset-pipeline have been arrested lately for walking around in an airport with an AR-15 (that I know of anyway).
good to know :-) ...

Anyway it seems a strange problem to me, really none get a similar error with latest release (could be something related to Windows) ?
I'll post an issue in plugin issue tracker, and post an update here (if any) ...

https://jira.grails.org/browse/GPRESOURCES/


Bye,
Sandro

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/7831fdb7-16ec-4849-adba-acd1b8f72229%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Problems in Resources Plugin 1.2.9 ?

James Jack-2
In reply to this post by Sandro Martini
I see the same issue in a project I'm working on.  Did you find the cause?

On Wednesday, October 1, 2014 at 11:27:50 AM UTC+1, Sandro Martini wrote:
Hi all,
after updating some Grails webapps (from 2.2.5 to 2..4.3), some with many other things, and a new one (created by scratch with 2.4.3), if I use the resources plugin up to 1.2.8 all is good, but if I use the latest (just released) 1.2.9 I get a lot of errors, for example this:

jquery - 1.11.1 => default
resources - 1.2.8 => OK
resources - 1.2.9 => KO, see under

| Server running. Browse to <a href="http://localhost:8080/test-grails24" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Flocalhost%3A8080%2Ftest-grails24\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNEfWmyJusoNq1Ev56XESYfQ7KU8LA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Flocalhost%3A8080%2Ftest-grails24\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNEfWmyJusoNq1Ev56XESYfQ7KU8LA&#39;;return true;">http://localhost:8080/test-grails24
Browsing to home page, I get this in console:
Error |
2014-10-01 12:00:39,927 [localhost-startStop-1] ERROR resource.ResourceMeta  - Resource not found: /plugins/jquery-1.11.1/js/jquery/jquery-1.11.1.min.js
Error |
2014-10-01 12:00:39,952 [localhost-startStop-1] ERROR resource.ResourceMeta  - Resource not found: /plugins/jquery-1.11.1/js/jquery/jquery-1.11.1.js


I'm on Windows at 64 bit with JDK 7u67.

Someone already note this ?
If this is a real problem, where should I open an issue (issue for Resources plugin seems outdated) ?


Thanks a lot.

Bye,
Sandro

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/0269c574-acc0-42a4-a4f9-ca6b8441d908%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Problems in Resources Plugin 1.2.9 ?

Sandro Martini
Hi,

> I see the same issue in a project I'm working on.  Did you find the cause?
>
I think it's a problem in the resources plugin, did you already tried
with latest [resources plugin
release](https://grails.org/plugin/resources) ?

Otherwise (as recommended by others in this thread) I think you should
change your code and use [asset-pipeline
plugin](https://grails.org/plugin/asset-pipeline) which is more
updated, sorry ...


Bye

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/CAH4gT7qiQ_iH-MuSpQQT2_y2%2Bdx0Q9VyjrMpvo9P-63gvu8Fyg%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Loading...